api_platform:
    defaults:
        url_generation_strategy: !php/const ApiPlatform\Api\UrlGeneratorInterface::ABS_URL
        pagination_client_items_per_page: true
    collection:
        pagination:
            items_per_page_parameter_name: itemsPerPage
    swagger:
      api_keys:
        JWT:
          name: Authorization
          type: header
    formats:
        jsonld:   ['application/ld+json']
        json:     ['application/json']
        multipart: ["multipart/form-data"]
        jsonhal:  ['application/hal+json']
        jsonapi:  ['application/vnd.api+json']
        xml:      ['application/xml', 'text/xml']
        yaml:     ['application/x-yaml']
        csv:      ['text/csv']
        html:     ['text/html']
        myformat: ['application/vnd.myformat']
    patch_formats:
        json:     ['application/merge-patch+json']
        jsonapi:  ['application/vnd.api+json']
    error_formats:
        jsonproblem: ['application/problem+json']
        jsonld: ['application/ld+json']      # Hydra error formats
        jsonapi: ['application/vnd.api+json']      
    eager_loading:
        enabled: false